net.sourceforge.pmd.lang.xpath

## Class Initializer

- java.lang.Object
- - net.sourceforge.pmd.lang.xpath.Initializer

    public class Initializer
    extends Object

This class serves as the means to perform XPath related static initialization. For example, initializing custom Jaxen Functions. Initialization should be performed before any XPath related operations are performed.

### Constructor Summary

Constructors
Constructor and Description
`Initializer()`

### Method Summary

Methods
`static void` `initialize()` Perform all initialization.
`static void` `initialize(net.sf.saxon.sxpath.IndependentContext context)` Perform all initialization.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Initializer

    public Initializer()

### Method Detail

#### initialize

    public static void initialize()

Perform all initialization.

#### initialize

    public static void initialize(net.sf.saxon.sxpath.IndependentContext context)

Perform all initialization.